#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#

%global		package_version 3.3.1
%global		package_name ovirt-image-uploader

Summary:	Image Uploader for Red Hat Enterprise Virtualization
Name:		rhevm-image-uploader
Version:	3.3.1
Release:	3%{?release_suffix}%{?dist}
License:	ASL 2.0
URL:		http://www.redhat.com/virtualization/rhev/server/
Source:		http://resources.ovirt.org/releases/3.3/src/%{package_name}-%{package_version}.tar.gz
Group:		Virtualization/Management

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}
BuildArch:	noarch
Requires:	gettext
Requires:	python
Requires:	rhevm-sdk-python
Requires:	logrotate
BuildRequires:	gettext
BuildRequires:	python2-devel
BuildRequires:	automake
BuildRequires:	autoconf

Patch1: 0001-nfs-domain-uuid-directory-must-be-specified-as-desti.patch
Patch2: 0002-UX-remove-alarming-warning.patch
Patch3: 0003-config-added-backward-compatibilty.patch

%description
Image Uploader tool for Red Hat Enterprise Virtualization Manager

%prep
%setup -q -n %{package_name}-%{package_version}

%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure \
	--docdir="%{_docdir}/%{package_name}-%{version}" \
	--disable-python-syntax-check
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
ln -s engine-image-uploader %{buildroot}/%{_bindir}/rhevm-image-uploader
echo ".so man8/engine-image-uploader.8" > %{buildroot}/%{_mandir}/man8/rhevm-image-uploader.8

%files
%doc AUTHORS
%doc COPYING
%dir %{_localstatedir}/log/ovirt-engine/%{package_name}
%config(noreplace) %{_sysconfdir}/ovirt-engine/imageuploader.conf
%config(noreplace) %{_sysconfdir}/logrotate.d/%{package_name}
%{_sysconfdir}/ovirt-engine/imageuploader.conf.d/.keep
%{python_sitelib}/ovirt_image_uploader/*.py*
%{python_sitelib}/ovirt_image_uploader/ovf/*.py*
%{_bindir}/engine-image-uploader
%{_mandir}/man8/*
%{_bindir}/rhevm-image-uploader

%changelog
* Mon Feb  3 2014 Sandro Bonazzola <sbonazzo@redhat.com> - 3.3.1-3
- Resolves: BZ#1055504

* Tue Nov 19 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.3.1-2
- Resolves: BZ#1031094

* Wed Oct 23 2013 Kiril Nesenko <knesenko@redhat.com> - 3.3.1-1
- Resolves: BZ#950634

* Fri Sep 13 2013 Sandro Bonazzola <sbonazzo@redhat.com> - 3.3.0-1
- Resolves: BZ#1006848

* Wed Aug 21 2013 Kiril Nesenko <knesenko@redhat.com> - 3.3.0-0.1.rc
- Resolves: BZ#951100

* Thu Jun 20 2013 Kiril Nesenko <knesenko@redhat.com> - 3.3.0-0.0
- Resolves: BZ#975347
